Background ChecksPaymentsInitialize candidate payment POST
POST
/api/v1/api/bgc/requests/candidates/{reference}/initiate-payment/

Starts payment for a request where the candidate, rather than your organisation, is paying.

Returns an authorization URL to redirect the candidate to. The request stays in pending_payment until the gateway confirms.

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

reference*string

Candidate request reference, returned as reference when the request was created.

Formatuuid

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Serializer for payment initialization.

Response Body

application/json

curl -X POST "https://example.com/api/v1/api/bgc/requests/candidates/497f6eca-6276-4993-bfeb-53cbbbba6f08/initiate-payment/" \  -H "Content-Type: application/json" \  -d '{    "reference": "string"  }'
{  "data": {},  "status": true,  "message": "Request successful.",  "errors": {},  "meta": {    "timestamp": "2019-08-24T14:15:22Z",    "version": "v1",    "request_id": "string"  },  "pagination": {    "page": 0,    "page_size": 0,    "total_pages": 0,    "total_items": 0  }}
Response Codes & Statuses: Prembly API responses include custom response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).
View Response Codes Guide
Prembly Slack Community

Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.

Join Slack Channel